%define nox 1
Summary: Dropbox extension for nautilus
Name: nautilus-dropbox
Version: 0.6.3
Release: 3%{?dist}
License: GNU
Group: User Interface/Desktops
Source: %{name}-%{version}.tar.bz2
Source100: dropbox-wrapper
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel, glib2-devel, nautilus-devel, libnotify-devel, nautilus-extensions, gnome-vfs2-devel, pygtk2-devel, pygtk2,python-docutils, vnc-server, ImageMagick
Requires: nautilus, glib2, gtk2, libnotify, gnome-vfs2, pygtk2,python-docutils
Patch0: nautilus-dropbox-0.6.3-puias.patch

%description
Dropbox extension for nautilus
Dropbox allows you to sync your files online and across your computers automatically.

%prep
%setup 
%patch0 -p1 -b .puias

%build
%if %{nox} == 1
if [ ! -d $HOME/.vnc]; then 
 mkdir $HOME/.vnc
fi
echo nopassword > $HOME/.vnc/passwd
echo $HOME
vncserver -kill :99 || echo
vncserver :99
DISPLAY=localhost:99
export DISPLAY
%endif
%configure
make
%if %{nox} == 1
vncserver -kill :99
%endif

# resize icons
for icon in emblem-dropbox-syncing.png emblem-dropbox-unsyncable.png emblem-dropbox-uptodate.png
do
	convert data/emblems/$icon -resize 16x data/emblems/$icon
done

%install
DESTDIR=$RPM_BUILD_ROOT make install
mv $RPM_BUILD_ROOT/%{_bindir}/dropbox $RPM_BUILD_ROOT/%{_bindir}/dropbox.py
cp %{SOURCE100} $RPM_BUILD_ROOT/%{_bindir}
ln -s %{_bindir}/dropbox-wrapper $RPM_BUILD_ROOT/%{_bindir}/dropbox

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README 
%{_bindir}/dropbox
%{_bindir}/dropbox-wrapper
%{_bindir}/dropbox.py*
%{_datadir}/nautilus-dropbox
%{_datadir}/icons
%{_mandir}/man1/dropbox.*
%{_datadir}/applications/dropbox.desktop
%{_libdir}/nautilus/extensions-1.0/libnautilus-dropbox.*

%changelog
* Fri Oct 8 2010 Thomas Uphill <uphill@ias.edu> 0.6.3-3
- wrapper to download appropriate binary

* Fri Oct 1 2010 Thomas Uphill <uphill@ias.edu> 0.6.3-2
- reduce the hackiness of the original package

* Wed Sep 22 2010 Thomas Uphill <uphill@ias.edu> 0..6.3-1
- hacked version
